Subject: RE: [mobile-ip] Mobile Prefix Advertisements

From: "Powell, Ken" <[email-masked]>
Date: Tue, 26 Jun 2001 12:49:30 -0400

> -----Original Message-----
> From: T.J. Kniveton [mailto:[email-masked]]
> Sent: Tuesday, June 26, 2001 12:32 PM
> To: Powell, Ken
> Cc: Charles E. Perkins; [email-masked]
> Subject: Re: [mobile-ip] Mobile Prefix Advertisements
> 
> 
> "Powell, Ken" wrote:
> > > > > 9.8.1. Building Aggregate List of Home Network Prefixes
> > > > >    I noticed you added an interesting optimization of 
> filtering
> > > > >    out any prefixes not used for autoconfiguration. This seems
> > > > >    like a reasonable thing to do. The mobile node ignores this
> > > > >    info when off link, and will rediscover all it needs soon
> > > > >    after moving home. Should this same filter be used 
> to restrict
> > > > >    which prefixes from the home agent's AdvPrefixList 
> are copied
> > > > >    to the aggregate list?
> > >
> > > In a sense, that was what I was attempting to do above. I 
> was thinking
> > > that the more complexity that can be cut out of 
> constructing, sending,
> > > and receiving/processing the list, the better. But of course
> > > this is not
> > > supposed to be at the expense of doing things the wrong 
> way, so please
> > > share your alternate thoughts about how to do it.
> > >
> > 
> > OK, I was thinking something like changing
> > 
> >  x - Copy prefix information defined in the home agent's 
> AdvPrefixList
> >  x   on the home subnet's interfaces to the aggregate list.  Also
> >  x   apply any changes made to the AdvPrefixList on the 
> home agent to
> >  x   the aggregate list.
> > 
> > to
> > 
> >  + - For each home subnet interface on the home agent, copy 
> any prefix
> 
> I'm not sure that a given home agent would want to use prefix 
> info from
> all of its interfaces.
> 
> >  +   information defined in the home agent's AdvPrefixList 
> with the "A"
> >  +   bit set to the aggregate list.  Also apply any changes 
> to made to
> >  +   the AdvPrefixList on the home agent to the aggregate list.
> 
> This may be below our radar when considering the 'general' case. In
> essence, this rule would be restricting the MPAs to advertising only
> auto-configurable addresses, which would close the gap for 
> the minority
> of admins who may want to use stateful configuration or 
> something else.
> To me, this is an acceptable change, and I agree with your idea, but I
> think we should have someone else sanity check this.

Good thinking. Just realized we also want to include all
prefixes with the "R" bit set.

> 
> 
> -- 
>         T.J. Kniveton 
>   Communications Systems Lab
>      Nokia Research Center
>